/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_strtrim.c                                       :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: vibucho <marvin@42.fr>                     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2014/11/04 20:26:44 by vibucho           #+#    #+#             */
/*   Updated: 2014/11/04 20:26:49 by vibucho          ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "libft.h"

char	*ft_strtrim(char const *s)
{
	int		i;
	int		j;
	int		k;
	char	*dst;

	if (s == NULL)
		return (0);
	i = 0;
	j = strlen(s) - 1;
	while (s[i] == ' ' || s[i] == '\n' || s[i] == '\t')
		i++;
	while (s[j] == ' ' || s[j] == '\n' || s[j] == '\t')
		j--;
	k = j - i + 1;
	if (k < 0)
		return (ft_strnew(0));
	dst = (char*)malloc(sizeof(char *) * (k));
	if (!dst)
		return (ft_strnew(0));
	k = 0;
	while (i <= j)
		dst[k++] = (char)s[i++];
	dst[k] = '\0';
	return (dst);
}
